SETARCH(8)

BEZEICHNUNG
setarch - ändert die vom System gemeldete Architektur und setzt neue Personalisierungs-Schalter.

ÜBERSICHT
setarch Arch [Optionen] [Programm [Argument …]]

setarch Arch [Optionen] [Programm [Argument …]]

setarch --list|-h|-V

BESCHREIBUNG
setarch beeinflusst derzeit nur die Ausgabe von uname -m. Beispielsweise sorgt der Aufruf von setarch i386 Programm auf einem AMD64-System dafür, dass das Programm den Rechnertyp als i686 sieht (oder eine andere relevante Architektur) anstelle von x86_64. Es ermöglicht außerdem das Setzen verschiedener Personalisierungsoptionen. Das vorgegebene Programm ist /bin/sh.

OPTIONEN

--list
    listet die Architekturen auf, die setarch kennt. Ob allerdings setarch tatsächlich eine bestimmte dieser Architekturen setzen kann, ist von dem laufenden Kernel abhängig.

--uname-2.6
    sorgt dafür, dass das Programm einen Kernel mit einer Versionsnummer sieht, die mit 2.6 beginnt.

-v, --verbose
    Ausführlicher Modus.

-3, --3gb
    legt fest, dass Prozesse einen maximalen Adressraum von 3GB belegen, wenn das System es unterstützt (ADDR_LIMIT_3GB).

--4gb
    wird ignoriert (nur für Abwärtskompatibilität vorhanden).

-B, --32bit
    aktiviert ADDR_LIMIT_32BIT.

-F, --fdpic-funcptrs
    Funktionszeiger auf Anwendungsebene zeigen auf Deskriptoren (schaltet FDPIC_FUNCPTRS ein).

-I, --short-inode
    aktiviert SHORT_INODE.

-L, --addr-compat-layout
    ändert die Art der Zuweisung virtuellen Speichers (schaltet ADDR_COMPAT_LAYOUT ein).

-R, --addr-no-randomize
    deaktiviert die Randomisierung des virtuellen Adressraums (schaltet ADDR_NO_RANDOMIZE ein).

-S, --whole-seconds
    aktiviert WHOLE_SECONDS.

-T, --sticky-timeouts
    aktiviert STICKY_TIMEOUTS.

-X, --read-implies-exec
    aktiviert READ_IMPLIES_EXEC.

-Z, --mmap-page-zero
    aktiviert MMAP_PAGE_ZERO.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt diese Hilfe an und beendet das Programm.

BEISPIELE
setarch ppc32 rpmbuild --target=ppc --rebuild foo.src.rpm
setarch ppc32 -v -vL3 rpmbuild --target=ppc --rebuild bar.src.rpm
setarch ppc32 --32bit rpmbuild --target=ppc --rebuild foo.src.rpm

AUTOR
Elliot Lee (sopwith@redhat.com)
Jindrich Novy (jnovy@redhat.com)

VERFÜGBARKEIT
Der Befehl setarch ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (ftp://ftp.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.